Skip to content
View in Postman (opens in new tab)

Replace catalog item

put

/catalogs/{catalog_name}/items/{item_id}

Use this endpoint to replace an item in your catalog.

If the item_id isn’t found, this endpoint will create the item in your catalog. This endpoint is synchronous.

Troubleshooting

The following table lists possible returned errors and their associated troubleshooting steps.

Error Troubleshooting
arbitrary-error An arbitrary error occurred. Please try again or contact Support.
catalog-not-found Check that the catalog name is valid.
filtered-set-field-too-long The field value is being used in a filtered set that exceeds the character limit for an item.
id-in-body Remove any item IDs in the request body.
ids-too-large Character limit for each item ID is 250 characters.
invalid-ids Supported characters for item ID names are letters, numbers, hyphens, and underscores.
invalid-fields Confirm that all fields you are sending in the API request already exist in the catalog. This is not related to the ID field mentioned in the error.
invalid-keys-in-value-object Item object keys can’t include . or $.
item-already-exists The item already exists in the catalog.
items-array-is-invalid items must be an array of objects.
items-too-large Character limit for each item is 5,000 characters.
request-includes-too-many-items You can only create one catalog item per request.
too-deep-nesting-in-value-object Item objects can’t have more than 50 levels of nesting.
unable-to-coerce-value Item types can’t be converted.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!